using Newtonsoft.Json;

namespace WeChatSharp;
[Serializable]
public record WeChatUserInfo
{
	[JsonProperty(propertyName: "subscribe")]
	public int Subscribe { get; internal set; }
	[JsonProperty(propertyName: "openid")]
	public string OpenId { get; internal set; }
	[JsonProperty(propertyName: "nickname")]
	public string NickName{ get; internal set; }

	[JsonProperty(propertyName: "sex")]
	public int Sex { get; internal set; }
	[JsonProperty(propertyName: "language")]
	public string Language{ get; internal set; }
	[JsonProperty(propertyName: "city")]
	public string City{ get; internal set; }
	[JsonProperty(propertyName: "province")]
	public string Province{ get; internal set; }
	[JsonProperty(propertyName: "country")]
	public string Country{ get; internal set; }
	[JsonProperty(propertyName: "headimgurl")]
	public string HeadImgUrl{ get; internal set; }
	[JsonProperty(propertyName: "subscribe_time")]
	public int SubscribeTime{ get; internal set; }
	[JsonProperty(propertyName: "remark")]
	public string Remark{ get; internal set; }
	[JsonProperty(propertyName: "groupid")]
	public int GroupId{ get; internal set; }
	[JsonProperty(propertyName: "tagid_list")]
	public string[] TagIdList{ get; internal set; }
	[JsonProperty(propertyName: "subscribe_scene")]
	public string SubscribeScene{ get; internal set; }
	[JsonProperty(propertyName: "qr_scene")]
	public int QrScene{ get; internal set; }
	[JsonProperty(propertyName: "qr_scene_str")]
	public string QrSceneStr{ get; internal set; }
}
/*
{
    "subscribe": 1,
    "openid": "oY0tZ6_aqq_MEWsej9zJEY6OVspI",
    "nickname": "",
    "sex": 0,
    "language": "zh_CN",
    "city": "",
    "province": "",
    "country": "",
    "headimgurl": "",
    "subscribe_time": 1687668622,
    "remark": "Root",
    "groupid": 0,
    "tagid_list": [],
    "subscribe_scene": "ADD_SCENE_SEARCH",
    "qr_scene": 0,
    "qr_scene_str": ""
}
*/